// Code scaffolded by goctl. Safe to edit.
// goctl 1.9.2

package order

import (
	"context"

	"juwan-backend/app/order/api/internal/svc"
	"juwan-backend/app/order/api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type RequestCloseOrderLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

// 申请结算
func NewRequestCloseOrderLogic(ctx context.Context, svcCtx *svc.ServiceContext) *RequestCloseOrderLogic {
	return &RequestCloseOrderLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *RequestCloseOrderLogic) RequestCloseOrder(req *types.PathId) (resp *types.EmptyResp, err error) {
	if err = transitionOrderStatus(l.ctx, l.svcCtx, req.Id, "pending_close", false, false, false, false); err != nil {
		return nil, err
	}

	return &types.EmptyResp{}, nil
}
